arrow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From w...@apache.org
Subject [1/3] arrow git commit: ARROW-71: [C++] Add clang-tidy and clang-format to the the tool chain.
Date Sat, 02 Apr 2016 04:40:30 GMT
Repository: arrow
Updated Branches:
  refs/heads/master 79fddd113 -> 5d129991b


http://git-wip-us.apache.org/repos/asf/arrow/blob/5d129991/cpp/src/arrow/util/test_main.cc
----------------------------------------------------------------------
diff --git a/cpp/src/arrow/util/test_main.cc b/cpp/src/arrow/util/test_main.cc
index adc8466..f928047 100644
--- a/cpp/src/arrow/util/test_main.cc
+++ b/cpp/src/arrow/util/test_main.cc
@@ -17,7 +17,7 @@
 
 #include "gtest/gtest.h"
 
-int main(int argc, char **argv) {
+int main(int argc, char** argv) {
   ::testing::InitGoogleTest(&argc, argv);
 
   int ret = RUN_ALL_TESTS();

http://git-wip-us.apache.org/repos/asf/arrow/blob/5d129991/cpp/thirdparty/build_thirdparty.sh
----------------------------------------------------------------------
diff --git a/cpp/thirdparty/build_thirdparty.sh b/cpp/thirdparty/build_thirdparty.sh
index 3d5f532..f1738ff 100755
--- a/cpp/thirdparty/build_thirdparty.sh
+++ b/cpp/thirdparty/build_thirdparty.sh
@@ -84,8 +84,8 @@ if [ -n "$F_ALL" -o -n "$F_FLATBUFFERS" ]; then
   cd $TP_DIR/$FLATBUFFERS_BASEDIR
 
   CXXFLAGS=-fPIC cmake -DCMAKE_INSTALL_PREFIX:PATH=$PREFIX -DFLATBUFFERS_BUILD_TESTS=OFF
. || { echo "cmake $FLATBUFFERS_ERROR" ; exit 1; }
-  make -j$PARALLEL
-  make install
+  make VERBOSE=1 -j$PARALLEL || { echo "make $FLATBUFFERS_ERROR" ; exit 1; }
+  make install || { echo "install $FLATBUFFERS_ERROR" ; exit 1; }
 fi
 
 echo "---------------------"


Mime
View raw message